Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StorageStatisticsFast

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorageStatisticsFast

Enclosing class:
  TdApi

public static final class TdApi.StorageStatisticsFast extends TdApi.Object
Contains approximate storage usage statistics, excluding files of unknown file type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`databaseSize`
Size of the database.
`int`
`fileCount`
Approximate number of files.
`long`
`filesSize`
Approximate total size of files, in bytes.
`long`
`languagePackDatabaseSize`
Size of the language pack database.
`long`
`logSize`
Size of the TDLib internal log.

## Constructor Summary

Constructors
Constructor
Description
`StorageStatisticsFast()`
Contains approximate storage usage statistics, excluding files of unknown file type.
`StorageStatisticsFast(long filesSize, int fileCount, long databaseSize, long languagePackDatabaseSize, long logSize)`
Contains approximate storage usage statistics, excluding files of unknown file type.
`StorageStatisticsFast(DataInput input)`
Contains approximate storage usage statistics, excluding files of unknown file type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### filesSize

public long filesSize
Approximate total size of files, in bytes.

### fileCount

public int fileCount
Approximate number of files.

### databaseSize

public long databaseSize
Size of the database.

### languagePackDatabaseSize

public long languagePackDatabaseSize
Size of the language pack database.

### logSize

public long logSize
Size of the TDLib internal log.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StorageStatisticsFast

public StorageStatisticsFast()
Contains approximate storage usage statistics, excluding files of unknown file type.

### StorageStatisticsFast

public StorageStatisticsFast(long filesSize, int fileCount, long databaseSize, long languagePackDatabaseSize, long logSize)
Contains approximate storage usage statistics, excluding files of unknown file type.

Parameters:
  `filesSize` - long Approximate total size of files, in bytes.
  `fileCount` - int Approximate number of files.
  `databaseSize` - long Size of the database.
  `languagePackDatabaseSize` - long Size of the language pack database.
  `logSize` - long Size of the TDLib internal log.

### StorageStatisticsFast

public StorageStatisticsFast(DataInput input) throws IOException
Contains approximate storage usage statistics, excluding files of unknown file type.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`